#!/bin/bash

#INPUTFILE=/home/evovch/Downloads/FLNR_data/h5_14_0001.lmd
#INPUTFILE=/home/vratik/data/exp1804/h5_12_0001.lmd
INPUTFILE=/home/vratik/data/exp1804/h5_14_09.lml

rm -fv output.root
rm -fv Go4AnalysisASF.root
rm -fv out.txt err.txt

echo -e "\e[1m\e[32mAnalysis started.\e[0m"

#TODO check that GO4SYS is declared
#${GO4SYS}/bin/go4analysis -v -lib libUserAnalysis.so -number 100000 -asf Go4AnalysisASF.root -file ${INPUTFILE} > out.txt 2> err.txt
${GO4SYS}/bin/go4analysis -v -lib libUserAnalysis.so -asf Go4AnalysisASF.root -file ${INPUTFILE} > out.txt 2> err.txt
# -number 1000

echo -e "\e[1m\e[32mAnalysis finished.\e[0m"
