//===================================================================
//== TNeEvent.h:
//== Version: 
//===================================================================

#ifndef TNeEVENT_H
#define TNeEVENT_H

#include "TGo4EventElement.h"

class TNeEvent : public TGo4EventElement 
{
public:
	TNeEvent();
	TNeEvent(const char* name);
	virtual ~TNeEvent();

	/** Method called by the framework to clear the event element. */
	void Clear(Option_t *t="");
	unsigned short CsI_L[16];
	unsigned short tCsI_L[16];
	unsigned short CsI_R[16];
	unsigned short tCsI_R[16];
	unsigned short SQX_L[32];
	unsigned short tSQX_L[32];
	unsigned short SQY_L[16];
	unsigned short tSQY_L[16];
	unsigned short SQX_R[32];
	unsigned short tSQX_R[32];
	unsigned short SQY_R[16];
	unsigned short SQ20[16];
	unsigned short tSQ20[16];
	unsigned short tSQY_R[16];
	unsigned short ANR[16];
	unsigned short ANS[16];
	unsigned short neutAmp[32];
	unsigned short neutTAC[32];
	unsigned short neutTDC[32];
	unsigned short F3[4];
	unsigned short tF3[4];
	unsigned short F5[4];
	unsigned short tF5[4];
	unsigned short F6[4];
	unsigned short tF6[4];
	unsigned short tMWPC[4];
	unsigned int scaler[16];
	unsigned int mtime;

/*	unsigned short ADC[32];
	unsigned short TDC[32];
	unsigned short mQDC[32];
	unsigned short mTDC[32];
*/

//WIRES
	unsigned short nx1, ny1, nx2, ny2; // wires
	unsigned short x1[32],y1[32],x2[32],y2[32]; // wires
	unsigned int rx1, rx2, ry1, ry2;

	int nevent;
	int trigger;
	int subevents;
	int evsize;
//	unsigned int time;
ClassDef(TNeEvent,1)
};
#endif //TEVENT_H



