//===================================================================
//== TNeAnalysis.h:	exp1210
//== Version:	2010-11-12
//===================================================================

#ifndef TNeANALYSIS_H
#define TNeANALYSIS_H

#include "TGo4Analysis.h"
#include "TGo4WinCond.h"

class TGo4MbsEvent;
class TNeDet16;
class TNeMParms;
class TNeSel;

class TNeAnalysis : public TGo4Analysis 
{
private:
	TGo4MbsEvent*  fMbsEvent;
	Int_t          fEvents;
	Int_t          fLastEvent;

public:
	TNeAnalysis();
	TNeAnalysis(int argc, char** argv);
	virtual ~TNeAnalysis() ;
	virtual Int_t UserPreLoop();
	virtual Int_t UserEventFunc();
	virtual Int_t UserPostLoop();

	TNeDet16* pSQX_L_EC;
	TNeDet16* pSQY_L_EC;
	TNeDet16* pSQX_R_EC;
	TNeDet16* pSQY_R_EC;
	TNeDet16* pANR_EC;
	TNeDet16* pANS_EC;
	TNeDet16* pCsI_L_EC;
	TNeDet16* pCsI_R_EC;	
	TNeDet16* pSQ20_EC;
	TNeMParms* pMTracks;	
	ClassDef(TNeAnalysis,1)
};
#endif //TANALYSIS_H
