//===================================================================
//== TNeEvent.cxx:
//== Version:
//===================================================================

#include "TNeEvent.h"

#include "Riostream.h"
using std::cout;
using std::endl;

TNeEvent::TNeEvent()
	:TGo4EventElement()
{
	cout << "**** TNeEvent: Create instance" << endl;
} //-------------------------------------------------------------------

TNeEvent::TNeEvent(const char* name)
	:TGo4EventElement(name)
{
	cout << "**** TNeEvent: Create instance " << name << endl;
} //-------------------------------------------------------------------

TNeEvent::~TNeEvent()
{
	cout << "**** TNeEvent: Delete instance " << endl;
} //-------------------------------------------------------------------

void  TNeEvent::Clear(Option_t *t)
{
   //==================================================================
   //== all members should be cleared.
   //== memset(fRawData,0, sizeof(fRawData));
   //==================================================================

   memset(CsI_L, 0, sizeof(CsI_L));
   memset(CsI_R, 0, sizeof(CsI_R));
   memset(tCsI_L, 0, sizeof(tCsI_L));
   memset(tCsI_R, 0, sizeof(tCsI_R));
   memset(SQX_L, 0, sizeof(SQX_L));
   memset(tSQX_L, 0, sizeof(tSQX_L));
   memset(SQY_L, 0, sizeof(SQY_L));
   memset(tSQY_L, 0, sizeof(tSQY_L));
   memset(SQX_R, 0, sizeof(SQX_R));
   memset(tSQX_R, 0, sizeof(tSQX_R));
   memset(SQY_R, 0, sizeof(SQY_R));
   memset(SQ20, 0, sizeof(SQ20));
   memset(tSQ20, 0, sizeof(tSQ20));
   memset(SQY_R, 0, sizeof(SQY_R));
   memset(tSQY_R, 0, sizeof(tSQY_R));
   memset(ANR, 0, sizeof(ANR));
   memset(ANS, 0, sizeof(ANS));
   memset(F3, 0, sizeof(F3));
   memset(tF3, 0, sizeof(tF3));
   memset(F5, 0, sizeof(F5));
   memset(tF5, 0, sizeof(tF5));
   memset(F6, 0, sizeof(F6));
   memset(tF6, 0, sizeof(tF6));
   memset(tMWPC, 0, sizeof(tMWPC));

/*
   memset(ADC, 0, sizeof(ADC));
   memset(TDC, 0, sizeof(TDC));
   memset(mQDC, 0, sizeof(mQDC));
   memset(mTDC, 0, sizeof(mTDC));
*/
   memset(neutAmp, 0, sizeof(neutAmp));
   memset(neutTAC, 0, sizeof(neutTAC));
   memset(neutTDC, 0, sizeof(neutTDC));



	nevent = 0;
	trigger = 0;
	subevents = 0;
	evsize = 0;
//	time = 0;

} //-------------------------------------------------------------------
